Bug 147496 - EDITING: cells have CR at end causing issues when I copy/paste to other applications
Summary: EDITING: cells have CR at end causing issues when I copy/paste to other appli...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-17 14:41 UTC by ScotterMonkey
Modified: 2022-04-28 10:57 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ScotterMonkey 2022-02-17 14:41:16 UTC
When I copy a cell’s text to the windows copy buffer and then go to browser fields (like password, for example) and paste, the text is pasted with an added carriage return. Or maybe line feed. Either way, it’s something I’d rather not happen.
Comment 1 Eike Rathke 2022-02-17 15:18:29 UTC
The problem here probably is that one cell is just a special case of one row of cells, and when pasting cells as text each row gets a line feed appended.

Likely for one cell (or even one single row?) appending the line feed could be omitted in the clipboard case.
Comment 2 Commit Notification 2022-02-17 18:11:05 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/be13ca182d7b0b59ad0c9509200cfdc45bd15cf2

Resolves: tdf#147496 No line feed for one single cell in clipboard Doc2Text()

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-03-14 15:19:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/24e213b11569400751fc54bfbeb5a5f6afdd4172

Resolves: tdf#147935 A row may have no newline character, tdf#147496 follow-up

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-04-28 10:57:33 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ae761fd359f4a553e4552125f77575204d62c958

tdf#37864, tdf#147496: sc: Add UItest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.